package com.fs.hisStore.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.hisStore.domain.FsUserProjectTagScrm;
import com.fs.hisStore.domain.SysOperLogScrm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 操作日志 数据层
 *

 */
public interface SysOperLogScrmMapper  extends BaseMapper<SysOperLogScrm>
{
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLogScrm operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLogScrm> selectOperLogList(SysOperLogScrm operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLogScrm selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    void insertBatchByIds(@Param("entity") List<SysOperLogScrm> sysOperLogScrm);
    //selectOperLogByMainId
    List<SysOperLogScrm> selectSotreOperLogByMainId(Long mainId);

    int updateByIncloudIdStr(SysOperLogScrm operLog);
}
